Back to LinkedIn
Apify·LinkedIn

Linkedin Post Scraper ✅ No cookies

/supreme_coder/linkedin-postasync$0.005 / result

Scrape unlimited Linkedin posts without risking your Linkedin account. Live data, Super fast scraping at affordable cost. High success rate Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • urlsarrayrequired

    Supported URLs: Linkedin post search URL, Linkedin user or company profile URL, Linkedin post URL

  • limitPerSourceinteger

    Limit number of posts scraped per source URL, leave empty for unlimited

  • scrapeUntilstring

    Use this field if you want to only scrape posts newer than given date

  • deepScrapeboolean

    Get more information such as likes, comments etc (default true)

  • fetchDocumentDetailsboolean

    Fetch attached document details from posts with transcripts and all available pages as images. If not enabled, only first 4 page images will be available (default false)

  • numCommentsinteger

    Number of comments to fetch for each post

  • numLikesinteger

    Number of liked users to fetch for each post

  • rawDataboolean

    Push the scraped data directly to the dataset without any processing and filtering. This might be useful if you are looking for some missing data in the dataset (default false)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/supreme_coder/linkedin-post","input":{"urls":["https://www.linkedin.com/posts/linkedin_no-is-a-complete-sentence-activity-7247998907798978560-J_hB?utm_source=share&utm_medium=member_desktop","https://www.linkedin.com/company/amazon","https://www.linkedin.com/search/results/content/?datePosted=%22past-24h%22&keywords=ai&origin=FACETED_SEARCH"]}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.